package it.sw.pa.comune.artegna.domain;

import static it.sw.pa.comune.artegna.domain.DisponibilitaTestSamples.*;
import static it.sw.pa.comune.artegna.domain.StrutturaTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class DisponibilitaTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(Disponibilita.class);
        Disponibilita disponibilita1 = getDisponibilitaSample1();
        Disponibilita disponibilita2 = new Disponibilita();
        assertThat(disponibilita1).isNotEqualTo(disponibilita2);

        disponibilita2.setId(disponibilita1.getId());
        assertThat(disponibilita1).isEqualTo(disponibilita2);

        disponibilita2 = getDisponibilitaSample2();
        assertThat(disponibilita1).isNotEqualTo(disponibilita2);
    }

    @Test
    void strutturaTest() {
        Disponibilita disponibilita = getDisponibilitaRandomSampleGenerator();
        Struttura strutturaBack = getStrutturaRandomSampleGenerator();

        disponibilita.setStruttura(strutturaBack);
        assertThat(disponibilita.getStruttura()).isEqualTo(strutturaBack);

        disponibilita.struttura(null);
        assertThat(disponibilita.getStruttura()).isNull();
    }
}
